<!DOCTYPE busconfig PUBLIC
 "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN"
 "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
<busconfig>
	<policy user="root">
		<allow own="org.freedesktop.NetworkManagerUserSettings"/>

		<allow send_destination="org.freedesktop.NetworkManagerUserSettings"
		       send_interface="org.freedesktop.NetworkManagerSettings"/>

		<allow send_destination="org.freedesktop.NetworkManagerUserSettings"
		       send_interface="org.freedesktop.NetworkManagerSettings.Connection"/>

		<!-- Only root can get secrets -->
		<allow send_destination="org.freedesktop.NetworkManagerUserSettings"
		       send_interface="org.freedesktop.NetworkManagerSettings.Connection.Secrets"/>

	</policy>
	<policy at_console="true">
		<allow own="org.freedesktop.NetworkManagerUserSettings"/>

		<allow send_destination="org.freedesktop.NetworkManagerUserSettings"
		       send_interface="org.freedesktop.NetworkManagerSettings"/>

		<allow send_destination="org.freedesktop.NetworkManagerUserSettings"
		       send_interface="org.freedesktop.NetworkManagerSettings.Connection"/>

		<!-- Only root can get secrets -->
		<deny send_destination="org.freedesktop.NetworkManagerUserSettings"
		      send_interface="org.freedesktop.NetworkManagerSettings.Connection.Secrets"/>
	</policy>
	<policy group="netdev">
		<allow own="org.freedesktop.NetworkManagerUserSettings"/>

		<allow send_destination="org.freedesktop.NetworkManagerUserSettings"
		       send_interface="org.freedesktop.NetworkManagerSettings"/>

		<allow send_destination="org.freedesktop.NetworkManagerUserSettings"
		       send_interface="org.freedesktop.NetworkManagerSettings.Connection"/>

		<!-- Only root can get secrets -->
		<deny send_destination="org.freedesktop.NetworkManagerUserSettings"
		      send_interface="org.freedesktop.NetworkManagerSettings.Connection.Secrets"/>
	</policy>
	<policy group="users">
		<allow own="org.freedesktop.NetworkManagerInfo"/>

		<allow send_destination="org.freedesktop.NetworkManagerInfo"/>
		<allow send_interface="org.freedesktop.NetworkManagerInfo"/>

		<allow own="org.freedesktop.NetworkManagerUserSettings"/>

		<allow send_destination="org.freedesktop.NetworkManagerSettings"/>
		<allow send_interface="org.freedesktop.NetworkManagerSettings"/>
	</policy>
	<policy context="default">
		<deny own="org.freedesktop.NetworkManagerUserSettings"/>

		<deny send_destination="org.freedesktop.NetworkManagerUserSettings"
		      send_interface="org.freedesktop.NetworkManagerSettings"/>
	</policy>
</busconfig>

